---
hide_toc: true
title: Break technologique
---

Comme je le soulignais il y a quelques jours dans ce journal de bord, je suis « drogué aux écrans ». Au point que je passe parfois ma journée entière sans en décrocher, en passant de l'un à l'autre.

## Les problèmes

En fait, en analysant un peu plus la situation, et en ciblant les *usages* plutôt que les *objets*, je me rends compte que je suis drogué à plusieurs choses :

### Immédiateté des communications

Que ce soit les emails, que je vais consulter plusieurs fois par jour (quand ce n'est pas en continu) ou les notifications instantanées (Signal, Whatsapp, Messenger etc), je me retrouve souvent derrière l'écran pour les lire.

Avec un effet de bord assez étrange : parfois je souhaite simplement envoyer un mail à quelqu'un·e, et en ouvrant mon client mail je me retrouve à… tout simplement oublier, plongé dans le flux des mails reçus et à traiter.

### Dépendance aux notifications Web

Que ce soit sur le réseau social « Mastodon », sur lequel je ne publie pas grand chose, mais que j'actualise parfois de manière frénétique pour « savoir ce qui s'y raconte », ou sur des site tels que Le bon coin, Github, ou Youtube, je me retrouve à « lire le flux », sans trop réussir à en sortir. Aspiré.

### Le « Sweet Spot » du dev

Parfois, je code, et quand ça m'arrive, je suis dans une sorte de transe assez incroyable, durant laquelle pendant plusieurs heures je ne fais rien d'autre, parfois même sans manger ni bouger du canapé : il faut que je termine !

C'est à la fois quelque chose de « bien » parce que je progresse et les outils sur lesquels je bossent fonctionnent, mais c'est au détriment bien sur d'un équilibre de mon quotidien...

## Pistes pour m'en sortir

J'ai l'impression que je peux trouver des pistes de solution à la fois techniques (technologiques) et à la fois liées à mon mode de vie.

### Solutions technologiques

En écrivant tout ça, je me dis plusieurs choses :

- Je devrais me désinscrire des services de communication type Whatsapp et Signal.
- Je devrais limiter drastiquement les applications installées sur mon téléphone (plus de mails, youhou !)
- Existe-il un moyen (Thunderbird ?) d'écrire des mails sans voir sa liste de mails ?

### Solutions liées à mon mode de vie

Mais… Il me semble que c'est surtout une question de volonté et « d'hygiène numérique » : si je me demande quelle place je veux laisser aux écrans dans ma vie, alors je doit questionner l'usage que j'en ait.

- Je peux limiter le nombre d'outils que j'utilise au quotidien.
- Est-ce que je peux me passer d'un smartphone ?
- Est-ce que je peux me passer d'une connexion internet ? Au travail ? Chez moi ?

Est-ce que je ne devrais pas simplement « arrêter de faire de l'informatique », au moins pour un temps ? Ça aurait le mérite de me permettre de me désengager de certains projets qui ont des liens forts avec le numérique, et qui parfois pourrissent mon quotidien.

Des solutions radicales, mais je me posais déjà des questions similaires dans [un article de 2016 (en anglais)](https://blog.notmyidea.org/focusing-on-what-matters.html), sans avoir vraiment réussi à m'y tenir.

> - Check emails only once a day. Do not do it in the morning, before working, to keep my mind clear. I would say at 2pm (after lunch). (This doesn't mean I will not send mails tho)
>  - Stay away from the Internet during the morning. I'll not connect if I don't need to.

## Extinction des feux

Voici une petite liste des choses qui semblent pouvoir réduire ma dépendance technologique :

- [Me détacher de la maintenance de ihatemoney](https://github.com/spiral-project/ihatemoney/issues/517) ; 
- Supprimer la plupart des applications sur mes téléphones (pro et perso)
- Éteindre mon serveur personnel ;
- Ne plus ramener mon téléphone pro à la maison ;
- Avoir un ordinateur fixe au travail, et l'y laisser ;
- Limiter mon utilisation de l'ordinateur perso à 1h par jour, sauf exceptions ;
- Aller voir mes emails pro une fois par jour uniquement ;
- Répondre au téléphone une fois par jour uniquement (et faire en sorte que mes correspondants comprennent);

L'avenir dira ce que j'en fais, mais je suis content d'écrire ça :-)